Package Details: multibootusb 8.8.0-1

Git Clone URL: https://aur.archlinux.org/multibootusb.git (read-only)
Package Base: multibootusb
Description: Boot multiple live Linux distros from a usb flash drive.
Upstream URL: http://multibootusb.org
Licenses: GPL
Submitter: Angel_Caido
Maintainer: Angel_Caido
Last Packager: Angel_Caido
Votes: 56
Popularity: 4.107350
First Submitted: 2015-08-20 19:45
Last Updated: 2017-05-18 22:14

Latest Comments

sundar_ima commented on 2017-05-19 13:37

"dbus-x11" is absolute necessary. Otherwise, multibootusb may start but you wont be able to choose ISOs. Tested personally and submitted the reply here...

Angel_Caido commented on 2017-05-18 23:00

Bumped to version 8.8.0.
"dbus-x11" was left out because it required 'dbus' to be removed. If absolutely necesary I will include it as a dependency.

sundar_ima commented on 2017-05-14 17:04

@Angel_Caido,
See the link to same issue you have reported here https://github.com/mbusb/multibootusb/issues/164. Solution is also available.

sundar_ima commented on 2017-05-14 14:28

@Angel_Caido,

It looks like you have multicard/multiUSB hub reader which is causing the application to crash. Somehow, udev is able to detect this multicard/multiUSB hub reader as block device. Remove all other USB devices and insert USB disk directly in to your system for testing. I think it should work. This issue will be fixed in next upstream release.

But still I think you should update to the latest release of upstream which is why the aur is meant for. At lease you will get to know from other users and accordingly downgrade to whatever working version. Thanks.

sundar_ima commented on 2017-05-12 18:16

"I have a composite USB device."

What does this mean? Have you connected any of the USB hub in your PC? what does your terminal say when issuing dmesg, ls -l /dev/disk/by-id/, ls -l /dev/sd* and lsblk commands? Are you able to see your USB disk number which multibootusb is refering to?

Angel_Caido commented on 2017-05-12 00:23

I have a composite USB device. The drive that multiboot is refering to does not even exist. Is one of the "ports" of such composite USB device but it is unused.

As you can see at the last line, the previous error still ocurrs:
/usr/sbin/multibootusb-pkexec: line 22: 4785 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

The content of the PKGBUILD is as follow [in case I forgot to include something]:
# Contributor: Jonas Heinrich <onny@project-insanity.org>
# Former Maintainer: sundar_ima <feedback.multibootusb@gmail.com>
# Maintainer: Angel_Caido <geussepe at gmail dot com>>

pkgname=multibootusb
pkgver=8.8.0
pkgrel=1
pkgdesc="Boot multiple live Linux distros from a usb flash drive."
arch=("any")
url="http://multibootusb.org"
license=("GPL")
#depends=("python-pyudev" "python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" )
depends=("python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" "python-pyudev")

sha512sums=("585bb8a4641535f1811e7a48d4e0bab3353ae8f8e4ca319dcbfd8b45b474927b341a52d4eaee3c3587af657231d861fa5977b49cf000b9f878b601748efd87cc")
source=("https://github.com/mbusb/$pkgname/archive/v${pkgver}.tar.gz")


package () {
cd "$srcdir/$pkgname-$pkgver"
chmod 755 "$srcdir/$pkgname-$pkgver/data/multibootusb.desktop"
python3 setup.py install --root="$pkgdir/" --optimize=1
}

sundar_ima commented on 2017-05-11 01:22

@Angel_Caido, That means some issue is there with the software and not the package. Similar issue was reported by another user on github. It is being investigated. Is the same problem happen with other USB drive as well?

Angel_Caido commented on 2017-05-10 23:41

On Manjaro Xfce up-to-date, the GUI does not start.
When running multibootusb-pkexec on the terminal, I get the following:

Running multibootusb version 8.8.0 from installed system...
Starting multibootusb GUI...
Cleaning old multibootusb directory...
Syslinux exist in multibootusb directory...
Using pyudev for detecting USB drives...
/dev/sdf
/dev/sdg
/dev/sdh
/dev/sdi
Selected device /dev/sdf
fdisk: cannot open /dev/sdf: No medium found
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 406, in details
details = details_udev(usb_disk_part)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 222, in details_udev
fdisk_cmd_out = subprocess.check_output('fdisk -l ' + usb_disk_part, shell=True)
File "/usr/lib/python3.6/subprocess.py", line 336, in check_output
**kwargs).stdout
File "/usr/lib/python3.6/subprocess.py", line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command 'fdisk -l /dev/sdf' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/scripts/mbusb_gui.py", line 148, in onComboChange
config.usb_details = usb.details(config.usb_disk)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 408, in details
details = details_udisks2(usb_disk_part)
File "/usr/lib/python3.6/site-packages/scripts/usb.py", line 281, in details_udisks2
mount_point = bd.Get('org.freedesktop.UDisks2.Filesystem', 'MountPoints', dbus_interface='org.freedesktop.DBus.Properties')
File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 145, in __call__
**keywords)
File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.InvalidArgs: No such interface 'org.freedesktop.UDisks2.Filesystem'
/usr/sbin/multibootusb-pkexec: line 22: 4785 Aborted (core dumped) pkexec --disable-internal-agent "/usr/bin/multibootusb" "$@"

sundar_ima commented on 2017-05-10 17:24

Even if GUI does not start, people still can use commandline options. Source --> http://multibootusb.org/page_guide/#using-mltibootusb-command-line-options

sundar_ima commented on 2017-05-10 17:21

Tested on manjaro KDE with up to date system. With little trouble, I could figure out and solved the issue. Two packages "python-pyudev" (multibootusb specifc) and "dbus-x11" (KDE specific) have been added. Following PKGBUILD works absolutely fine for me and you may wish to update the package accordingly:

pkgname=multibootusb
pkgver=8.8.0
pkgrel=1
pkgdesc="Boot multiple live Linux distros from a usb flash drive."
arch=("any")
url="http://multibootusb.org"
license=("GPL")
depends=("python-pyqt5" "pyqt5-common" "python-dbus" "mtools" "util-linux" "parted" "p7zip" "python-six" "python-pyudev" "dbus-x11")
sha512sums=("585bb8a4641535f1811e7a48d4e0bab3353ae8f8e4ca319dcbfd8b45b474927b341a52d4eaee3c3587af657231d861fa5977b49cf000b9f878b601748efd87cc")
source=("https://github.com/mbusb/$pkgname/archive/v${pkgver}.tar.gz")


package () {
cd "$srcdir/$pkgname-$pkgver"
chmod 755 "$srcdir/$pkgname-$pkgver/data/multibootusb.desktop"
python3 setup.py install --root="$pkgdir/" --optimize=1
}

All comments